Class Fox::FXEvent

In: | FXApp.rb
Parent: | Object

FOX Event

Methods

moved? rect synthetic?

Attributes

click_button | [R] | Mouse button pressed [Integer]
click_count | [R] | Click count [Integer]
click_time | [R] | Time of mouse button press [Integer]
click_x | [R] | Window-relative x-coordinate of mouse press [Integer]
click_y | [R] | Window-relative y-coordinate of mouse press [Integer]
code | [R] | Button, keysym or mode; DDE source [Integer]
last_x | [R] | Window-relative x-coordinate of previous mouse location [Integer]
last_y | [R] | Window-relative y-coordinate of previous mouse location [Integer]
root_x | [R] | Root window x-coordinate [Integer]
root_y | [R] | Root window y-coordinate [Integer]
rootclick_x | [R] | Root window x-coordinate of mouse press [Integer]
rootclick_y | [R] | Root window y-coordinate of mouse press [Integer]
state | [R] | Keyboard/modifier state [Integer]
target | [R] | Target drag type being requested [Integer]
text | [R] | Text of keyboard event [String]
time | [R] | Time of last event [Integer]
type | [R] | Event type [Integer]
win_x | [R] | Window-relative x-coordinate [Integer]
win_y | [R] | Window-relative y-coordinate [Integer]

Public Instance methods

moved?()

Return true if cursor moved since last press

rect()

Exposed rectangle for paint events

synthetic?()

Return true if this is a synthetic expose event